Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 336911 - OLD CANCELED ltsp-client - Linux Terminal Server Project client programs
Summary: OLD CANCELED ltsp-client - Linux Terminal Server Project client programs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2007-10-18 00:38 UTC by Eric Harrison
Modified: 2008-01-13 16:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-13 16:29:38 UTC


Attachments (Terms of Use)

Description Eric Harrison 2007-10-18 00:38:39 UTC
Spec URL: http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-client/ltsp-client.spec
SRPM URL: http://k12linux.mesd.k12.or.us/K12LTSP/source/ltsp-client/ltsp-client-0.0.0-19.k12ltsp.f8.src.rpm
Description: Linux Terminal Server Project client programs

NOTE: this package has not seem much love yet. It has been known to build & work. It is required to test https://bugzilla.redhat.com/show_bug.cgi?id=331731 & https://bugzilla.redhat.com/show_bug.cgi?id=331651

Comment 1 Patrice Dumas 2007-10-18 08:14:12 UTC
lbuscd should be packaged separatly, especially since the server
side seems to need it too, and at the latest version.

Same for pci_scan. And maybe for lbe, but a proper source
is missing for lbe.

Comment 2 Warren Togami 2007-10-18 16:33:31 UTC
Upstream said that lbussd is no longer used.  Does this mean we don't need
lbuscd as well?


Comment 3 Warren Togami 2007-10-31 16:58:20 UTC
This package needs a ton of work.

- lbe isn't used at all anymore.
- lbuss and lbuscd aren't used anymore.

ltsp-client-configure needs to handle:
- /etc/udev/rules.d/70-persistent-net.rules gets created by anaconda during
chroot installation, containing the host's interfaces.  This causes an ugly
error message during thin client bootup.  It should be deleted after anaconda is
done.  This this be done in ltsp-build-client (ltsp-server) or in the script in
ltsp-client?
- Remove rpmdb locks
+# remove locks: i386 chroot install on x86_64 would have incompatible locks
+rm -f $LTSP_ROOTPATH/var/lib/rpm/__db*


Comment 4 Warren Togami 2007-11-01 15:23:48 UTC
Add "-terminate" to the Xorg launch flags.  This guarantees that X dies when the
last X client disconnects, so it can be cleanly restarted.  The default
"regenerate" behavior is buggy and there is no good reason to use it.

Comment 5 Warren Togami 2008-01-13 16:29:38 UTC
This package is being thrown out, a new package is being made based upon
upstream.  Keeping this on the tracker only because it contains many notes that
might be useful.


Note You need to log in before you can comment on or make changes to this bug.